Package ru.bitel.bgbilling.plugins.bonus.server

# Class BGPluginInfo

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.bonus.server.BGPluginInfo

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`, `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`

public class BGPluginInfo extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, EventListener<ru.bitel.bgbilling.kernel.event.common.Event>
нафига тут весь этот дубликат кода из PluginServerListener? на всякий случай?

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGPluginInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx)`
  `void`
  `onInitServer(String applicationName)`
  `void`
  `serializeContract(Connection con, int cid, XMLStreamWriter writer, boolean onlyCurrent)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGPluginInfo

    public BGPluginInfo()

- ## Method Details

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event event, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`

  - ### onInitServer

    public void onInitServer(String applicationName)
    Specified by:
      `onInitServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`

  - ### serializeContract

    public void serializeContract(Connection con, int cid, XMLStreamWriter writer, boolean onlyCurrent) throws SQLException, XMLStreamException
    Specified by:
      `serializeContract` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
    Throws:
      `SQLException`
      `XMLStreamException`